#### D.5.17.18 symmetricPowerSheaf

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  symmetricPowerSheaf(S,n); S sheaf, n int

Return:
  sheaf

Theory:
  This is the n-th symmetric power of a sheaf

Example:

    LIB "schubert.lib";
    variety G = Grassmannian(2,4);
    def R = G.baseRing;
    setring R;
    sheaf S = makeSheaf(G,quotientBundle);
    sheaf B = symmetricPowerSheaf(S,3);
    B;
    ==> A sheaf of rank  4
    ==>
    sheaf A = S^3;
    A;
    ==> A sheaf of rank  4
    ==>
    A.ChernCharacter == B.ChernCharacter;
    ==> 1

See also: addSheaf; dualSheaf; quotSheaf; tensorSheaf.

User manual for Singular version 4.4.1, 2025, generated by texi2html.